<?php
# Przykład wywołania metody getCertificate, umożliwiającej wygenerowanie potwierdzenia nadania lub odbioru przesyłki
try{
	$sLogin = ""; // Login konta w Postivo.pl
	$sApiPass = ""; // Hasło dostępu do konta przez API
	
	// Identyfikator przesyłki
	$sDispatchId = "T00000001";
	
	// Rodzaj potwierdzenia (1 - potwierdzenie nadania przesyłki, 2 - potwierdzenie odbioru przesyłki)
	$iCertificateType = 1;
	
	// Utworzenie klienta SOAP:
	$client = new SoapClient("http://api.postivo.pl/webservices.php?wsdl");
	
	// Wywołanie metody getCertificate z przekazaniem wszystkich parametrów
	$output = $client->getCertificate($sLogin, $sApiPass, $sDispatchId, $iCertificateType);

	// Przykład obsługi danych wyjściowych:
	if ($output->cert_available === false)
	{
		echo "Status żądania: ".$output->result.", kod statusu żądania: ".$output->result_code.", opis statusu żądania: ".$output->result_description."<br />";
		echo "Potwierdzenie nie jest dostępne.";
	}
	else 
	{
		$sCertificate = base64_decode($output->cert_content);
		header("Content-type: application/pdf");
		header("Content-Length: ".strlen($sCertificate));
		header("Content-Disposition: attachment; filename=Potwierdzenie.pdf");
		echo $sCertificate;
	}
}
catch(Exception $oE)
{
	// Obsluga bledu
	echo "Wystąpił błąd: ".$oE->getMessage();
}
?>